Passer au contenu principal
POST
/
crm
/
v3
/
extensions
/
calling
/
inbound-call
cURL
curl --request POST \
  --url https://api.hubapi.com/crm/v3/extensions/calling/inbound-call \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "createEngagement": true,
  "engagementProperties": {},
  "externalCallId": "<string>",
  "finalCallStatus": "BUSY",
  "fromNumber": {
    "e164Number": "<string>",
    "phoneNumberType": "FIXED_LINE",
    "extension": "<string>"
  },
  "potentialRecipientUserIds": [
    123
  ],
  "toNumber": {
    "e164Number": "<string>",
    "phoneNumberType": "FIXED_LINE",
    "extension": "<string>"
  },
  "callStartedTimestamp": "2023-11-07T05:31:56Z",
  "durationSeconds": 123,
  "userId": 123
}
'
{
  "callerIdMatches": [
    {
      "callerIdType": "CONTACT",
      "objectCoordinates": {
        "objectId": 123,
        "objectTypeId": "<string>",
        "portalId": 123
      },
      "email": "<string>",
      "firstName": "<string>",
      "lastName": "<string>"
    }
  ]
}

Supported products

Autorisations

Authorization
string
header
requis

The access token received from the authorization server in the OAuth 2.0 flow.

Corps

application/json
createEngagement
boolean
requis
engagementProperties
object
requis
externalCallId
string
requis
finalCallStatus
enum<string>
requis
Options disponibles:
BUSY,
CALLING_CRM_USER,
CANCELED,
COMPLETED,
CONNECTING,
FAILED,
HOLD,
IN_PROGRESS,
MISSED,
NO_ANSWER,
QUEUED,
RINGING,
UNKNOWN
fromNumber
object
requis
potentialRecipientUserIds
integer<int32>[]
requis
toNumber
object
requis
callStartedTimestamp
string<date-time>
durationSeconds
integer<int32>
userId
integer<int32>

Réponse

successful operation

callerIdMatches
(CONTACT · object | COMPANY · object)[]
requis
Last modified on April 2, 2026